if not SimpleSelfRebuff then return end
local SimpleSelfRebuff = SimpleSelfRebuff
SimpleSelfRebuff:_rev("$Revision: 67637 $")

function HunterSetup(self, spellNames, class, L)
	if class ~= 'HUNTER' then return end
	self:Debug('Loading hunter setup')

	self:GetCategory(L['Aspect']):addMulti( 
		spellNames[34074], -- Aspect of the Viper
		spellNames[13161], -- Aspect of the Beast
		spellNames[5118],  -- Aspect of the Cheetah
		spellNames[13165], -- Aspect of the Hawk
		spellNames[13163]  -- Aspect of the Monkey
	)
		:add(	spellNames[13159], 'subcat', 'pack' ) -- Aspect of the Pack
		:add(	spellNames[20043], 'subcat', 'wild' ) -- Aspect of the Wild
	
	self:GetCategory(self.CATEGORY_TRACKING)
		:add( spellNames[19883], 'mountFriendly', true ) -- Track Humanoids
		:add( spellNames[1494],  'mountFriendly', true ) -- Track Beasts
		:add( spellNames[19878], 'mountFriendly', true ) -- Track Demons
		:add( spellNames[19879], 'mountFriendly', true ) -- Track Dragonkin
		:add( spellNames[19880], 'mountFriendly', true ) -- Track Elementals
		:add( spellNames[19882], 'mountFriendly', true ) -- Track Giants
		:add( spellNames[19885], 'mountFriendly', true ) -- Track Hidden
		:add( spellNames[19884], 'mountFriendly', true ) -- Track Undead
	
	self:AddStandaloneBuff( spellNames[19506] ) -- Trueshot Aura
	
end

SimpleSelfRebuff:RegisterBuffSetup(HunterSetup)
