if not SimpleSelfRebuff then return end
local SimpleSelfRebuff = SimpleSelfRebuff
SimpleSelfRebuff:_rev("$Revision: 67373 $")

local _G = _G
local UnitExists = _G.UnitExists

SimpleSelfRebuff:RegisterBuffSetup(function(self, BS, class, L)
	if class ~= 'WARLOCK' then return end

	self:GetCategory(L['Armor']):addMulti(
		BS['Demon Skin'],
		BS['Demon Armor'],
		BS['Fel Armor']
	)
	
	self:AddMultiStandaloneBuffs(
		BS['Detect Invisibility'],
		BS['Unending Breath']
	)
	
	local function petExists(buff)
		return UnitExists('pet')
	end
	
	self:AddStandaloneBuff( BS['Soul Link'], 'checkRequirement', petExists)
		
	self:GetCategory(self.CATEGORY_TRACKING)
		:add( BS['Sense Demons'], 'mountFriendly', true )
	
end)
